Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 1428)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 1429)
@@ -27,17 +27,12 @@
 //
 package org.txm.ca.rcp.editors;
 
-import java.awt.Component;
-import java.awt.event.ComponentEvent;
-import java.awt.event.ComponentListener;
-import java.text.DecimalFormat;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.List;
 
 import org.eclipse.jface.viewers.ISelectionChangedListener;
 import org.eclipse.jface.viewers.IStructuredContentProvider;
-import org.eclipse.jface.viewers.ITableLabelProvider;
 import org.eclipse.jface.viewers.LabelProvider;
 import org.eclipse.jface.viewers.SelectionChangedEvent;
 import org.eclipse.jface.viewers.TableViewer;
@@ -46,7 +41,6 @@
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
-import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.graphics.Rectangle;
 import org.eclipse.swt.layout.FillLayout;
 import org.eclipse.swt.layout.FormAttachment;
@@ -64,23 +58,19 @@
 import org.eclipse.ui.PartInitException;
 import org.eclipse.ui.part.EditorPart;
 import org.txm.ca.core.chartsengine.base.CAChartCreator;
-import org.txm.ca.core.chartsengine.base.Utils;
 import org.txm.ca.core.functions.CA;
 import org.txm.ca.core.functions.Eigenvalues;
 import org.txm.ca.rcp.messages.CAUIMessages;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
-import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.core.results.TXMResult;
+import org.txm.rcp.editors.ITablableEditorInput;
 import org.txm.rcp.editors.SplitedGenericMultiPageEditor;
-import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMMultiPageEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
-import org.txm.rcp.editors.ITablableEditorInput;
 import org.txm.rcp.editors.input.AbstractTablableEditorInput;
 import org.txm.rcp.messages.TXMUIMessages;
-import org.txm.statsengine.core.StatException;
-import org.txm.utils.logger.Log;
 
 // TODO: Auto-generated Javadoc
 /**
@@ -91,8 +81,6 @@
  */
 public class CAEditor extends TXMMultiPageEditor implements SplitedGenericMultiPageEditor {
 
-	/** The self. */
-	CAEditor self;
 
 	/** The ca. */
 	private CA ca;
@@ -103,9 +91,9 @@
 	protected EditorPart mainEditor;
 
 
-	private static String SEPARATOR = "SEPARATOR"; //$NON-NLS-1$
+	public static String SEPARATOR = "SEPARATOR"; //$NON-NLS-1$
 
-	private static String COL_TYPE = "Double"; //$NON-NLS-1$
+	public static String COL_TYPE = "Double"; //$NON-NLS-1$
 
 	/** The names. */
 	private List<String> names = Arrays.asList(new String[] {
@@ -121,7 +109,6 @@
 	 */
 	@Override
 	protected void createPages() {
-		self = this;
 		Composite container = this.getContainer();
 		final Composite parentContainer = container.getParent();
 
@@ -130,7 +117,7 @@
 		parentContainer.setLayout(new FormLayout());// change layout
 		final Sash sash = new Sash(parentContainer, SWT.VERTICAL);
 
-		Composite caChartComposite = new Composite(parentContainer, SWT.NONE);
+		Composite mainEditorComposite = new Composite(parentContainer, SWT.NONE);
 
 		FormData containerData = new FormData();
 		containerData.left = new FormAttachment(sash, 0);
@@ -158,29 +145,29 @@
 			}
 		});
 
-		FormData AFCgraphData = new FormData();
-		AFCgraphData.left = new FormAttachment(0, 0);
-		AFCgraphData.right = new FormAttachment(sash, 0);
-		AFCgraphData.top = new FormAttachment(0, 0);
-		AFCgraphData.bottom = new FormAttachment(100, 0);
-		caChartComposite.setLayoutData(AFCgraphData);// set new layout data
-		caChartComposite.setLayout(new FillLayout());
+		FormData CAFactorialMapChartFormData = new FormData();
+		CAFactorialMapChartFormData.left = new FormAttachment(0, 0);
+		CAFactorialMapChartFormData.right = new FormAttachment(sash, 0);
+		CAFactorialMapChartFormData.top = new FormAttachment(0, 0);
+		CAFactorialMapChartFormData.bottom = new FormAttachment(100, 0);
+		mainEditorComposite.setLayoutData(CAFactorialMapChartFormData);// set new layout data
+		mainEditorComposite.setLayout(new FillLayout());
 		// /////////////////////
 
 
 		editors = new ArrayList<EditorPart>();
 		inputs = new ArrayList<IEditorInput>();
 
-		TXMResultEditorInput cainput = (TXMResultEditorInput) getEditorInput();
-		this.ca = (CA) cainput.getResult();
+		TXMResultEditorInput caInput = (TXMResultEditorInput) getEditorInput();
+		this.ca = (CA) caInput.getResult();
 
-		setPartName(this.ca.getName());
+		//this.setPartName(this.ca.getName());
 
 		// Initialize the editor parts and editor inputs
 		this.initCAFactorialMapEditor();
-		this.initCASingularValuesTableEditor();
-		this.initRowsTableEditor();
-		this.initColumnsTableEditor();
+	//	this.initCASingularValuesTableEditor();
+//		this.initRowsTableEditor();
+//		this.initColumnsTableEditor();
 		this.initCASingularValuesBarChartEditor();
 
 
@@ -194,52 +181,52 @@
 			final CAFactorialMapChartEditor caFactorialMapEditorPart = (CAFactorialMapChartEditor) editors.get(0); 
 			this.mainEditor = caFactorialMapEditorPart;
 
-			IEditorSite site = createSite(caFactorialMapEditorPart);
+			IEditorSite site = this.createSite(caFactorialMapEditorPart);
 			// call init first so that if an exception is thrown, we have created no new widgets
-			caFactorialMapEditorPart.init(site, editors.get(0).getEditorInput());
+			caFactorialMapEditorPart.init(site, caFactorialMapEditorPart.getEditorInput());
 
 			// Set the parent multi pages editor of the CA factorial map editor to activate it from the child editor
 			caFactorialMapEditorPart.setParentMultiPagesEditor(this);
 
-			caFactorialMapEditorPart.createPartControl(caChartComposite);
+			caFactorialMapEditorPart.createPartControl(mainEditorComposite);
 			caFactorialMapEditorPart.refresh(false);
 
 			caFactorialMapEditorPart.addPropertyListener(new IPropertyListener() {
 				@Override
 				public void propertyChanged(Object source, int propertyId) {
-					self.handlePropertyChange(propertyId);
+					handlePropertyChange(propertyId);
 				}
 			});
 
-			// Axis unit square ratio constraint
-			caFactorialMapEditorPart.getComposite().getChartComponent().setSquareOffEnabled(true);
-			caFactorialMapEditorPart.getComposite().getChartComponent().squareOff();
-			Component chartComponent = (Component) caFactorialMapEditorPart.getComposite().getChartComponent();
-			// Axis unit square ratio constraint on resize
-			chartComponent.addComponentListener(new ComponentListener() {
+//			// Axis unit square ratio constraint
+//			caFactorialMapEditorPart.getComposite().getChartComponent().setSquareOffEnabled(true);
+//			caFactorialMapEditorPart.getComposite().getChartComponent().squareOff();
+//			Component chartComponent = (Component) caFactorialMapEditorPart.getComposite().getChartComponent();
+//			// Axis unit square ratio constraint on resize
+//			chartComponent.addComponentListener(new ComponentListener() {
+//
+//				@Override
+//				public void componentShown(ComponentEvent arg0) {
+//					// TODO Auto-generated method stub
+//				}
+//
+//				@Override
+//				public void componentResized(ComponentEvent e) {
+//					caFactorialMapEditorPart.getComposite().getChartComponent().squareOff();
+//				}
+//
+//				@Override
+//				public void componentMoved(ComponentEvent arg0) {
+//					// TODO Auto-generated method stub
+//				}
+//
+//				@Override
+//				public void componentHidden(ComponentEvent arg0) {
+//					// TODO Auto-generated method stub
+//				}
+//			});
 
-				@Override
-				public void componentShown(ComponentEvent arg0) {
-					// TODO Auto-generated method stub
-				}
 
-				@Override
-				public void componentResized(ComponentEvent e) {
-					caFactorialMapEditorPart.getComposite().getChartComponent().squareOff();
-				}
-
-				@Override
-				public void componentMoved(ComponentEvent arg0) {
-					// TODO Auto-generated method stub
-				}
-
-				@Override
-				public void componentHidden(ComponentEvent arg0) {
-					// TODO Auto-generated method stub
-				}
-			});
-
-
 		}
 		catch (Exception e1) {
 			org.txm.rcp.utils.Logger.printStackTrace(e1);
@@ -263,63 +250,62 @@
 
 
 		// Selection changed listener to highlight CA chart points from table lines selection
-		ISelectionChangedListener selectionChangedListener = new ISelectionChangedListener() {
+//		ISelectionChangedListener selectionChangedListener = new ISelectionChangedListener() {
+//
+//			@Override
+//			public void selectionChanged(SelectionChangedEvent e) {
+//				// Highlight points from table lines
+//				Table table = (Table) ((TableViewer) e.getSource()).getTable();
+//				String[] selectedLabels = new String[table.getSelectionCount()];
+//				TableItem[] selection = table.getSelection();
+//
+//				for (int i = 0; i < selection.length; i++)	{
+//					selectedLabels[i] = selection[i].getText();
+//				}
+//
+//				CAFactorialMapChartEditor chartEditor = (CAFactorialMapChartEditor) editors.get(0);
+//				((CAChartCreator) chartEditor.getResult().getChartCreator()).updateChartCAFactorialMapHighlightPoints(chartEditor.getChart(), (e.getSource() == getRowsInfosEditor().getViewer()), selectedLabels);
+//			}
+//		};
+//
+//		// Add selection listener to rows table to link editor with factorial map chart
+//		this.getRowsInfosEditor().getViewer().addSelectionChangedListener(selectionChangedListener);
+//		// Add selection listener to cols table to link editor with factorial map chart
+//		this.getColsInfosEditor().getViewer().addSelectionChangedListener(selectionChangedListener);
+//
+//		// Selection listeners to change chart items selection order from table sorting
+//		SelectionListener selectionListener = new SelectionListener() {
+//
+//			@Override
+//			public void widgetSelected(SelectionEvent e) {
+//				// Change chart items selection order
+//				CAFactorialMapChartEditor chartEditor = (CAFactorialMapChartEditor) editors.get(0); 
+//				((CAChartCreator) chartEditor.getResult().getChartCreator()).updateChartCAFactorialMapSetLabelItemsSelectionOrder(chartEditor.getChart(), getRowsInfosEditor().getOrdererLabels(), getColsInfosEditor().getOrdererLabels());
+//			}
+//
+//			@Override
+//			public void widgetDefaultSelected(SelectionEvent e) {
+//				// TODO Auto-generated method stub
+//
+//			}
+//		};
+//		// Add listener to column to link chart items selection order with table sorting order
+//		for(int i = 0; i < this.getRowsInfosEditor().getViewer().getTable().getColumnCount(); i++) {
+//			this.getRowsInfosEditor().getViewer().getTable().getColumn(i).addSelectionListener(selectionListener);
+//		}
+//		// Add listener to column to link chart items selection order with table sorting order
+//		for(int i = 0; i < this.getColsInfosEditor().getViewer().getTable().getColumnCount(); i++) {
+//			this.getColsInfosEditor().getViewer().getTable().getColumn(i).addSelectionListener(selectionListener);
+//		}
+//
+//
+//
+//		// Sets the parent multi pages editor of the singular values barplot to activate it from the child editor
+//		((ChartEditor)editors.get(4)).setParentMultiPagesEditor(this);
+//
+//
+//		this.setActivePage(LAST_EDITOR_USED);
 
-			@Override
-			public void selectionChanged(SelectionChangedEvent e) {
-				// Highlight points from table lines
-				Table table = (Table) ((TableViewer) e.getSource()).getTable();
-				String[] selectedLabels = new String[table.getSelectionCount()];
-				TableItem[] selection = table.getSelection();
-
-				for (int i = 0; i < selection.length; i++)	{
-					selectedLabels[i] = selection[i].getText();
-				}
-
-				CAFactorialMapChartEditor chartEditor = (CAFactorialMapChartEditor) editors.get(0);
-				((CAChartCreator) chartEditor.getResult().getChartCreator()).updateChartCAFactorialMapHighlightPoints(chartEditor.getChart(), (e.getSource() == getRowsInfosEditor().getViewer()), selectedLabels);
-			}
-		};
-
-		// Add selection listener to rows table to link editor with factorial map chart
-		this.getRowsInfosEditor().getViewer().addSelectionChangedListener(selectionChangedListener);
-		// Add selection listener to cols table to link editor with factorial map chart
-		this.getColsInfosEditor().getViewer().addSelectionChangedListener(selectionChangedListener);
-
-		// Selection listeners to change chart items selection order from table sorting
-		SelectionListener selectionListener = new SelectionListener() {
-
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				// Change chart items selection order
-				CAFactorialMapChartEditor chartEditor = (CAFactorialMapChartEditor) editors.get(0); 
-				((CAChartCreator) chartEditor.getResult().getChartCreator()).updateChartCAFactorialMapSetLabelItemsSelectionOrder(chartEditor.getChart(), getRowsInfosEditor().getOrdererLabels(), getColsInfosEditor().getOrdererLabels());
-			}
-
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-				// TODO Auto-generated method stub
-
-			}
-		};
-		// Add listener to column to link chart items selection order with table sorting order
-		for(int i = 0; i < this.getRowsInfosEditor().getViewer().getTable().getColumnCount(); i++) {
-			this.getRowsInfosEditor().getViewer().getTable().getColumn(i).addSelectionListener(selectionListener);
-		}
-		// Add listener to column to link chart items selection order with table sorting order
-		for(int i = 0; i < this.getColsInfosEditor().getViewer().getTable().getColumnCount(); i++) {
-			this.getColsInfosEditor().getViewer().getTable().getColumn(i).addSelectionListener(selectionListener);
-		}
-
-
-
-		// Sets the parent multi pages editor of the singular values barplot to activate it from the child editor
-		((ChartEditor)editors.get(4)).setParentMultiPagesEditor(this);
-
-
-
-		this.setActivePage(LAST_EDITOR_USED);
-
 		this.setPartName(this.getEditorInput().getName());
 	}
 
@@ -336,6 +322,14 @@
 		// Editor input
 		inputs.add(caFactorialMapEditorPart.getEditorInput());
 
+//		try {
+//			this.addPage(caFactorialMapEditorPart, caFactorialMapEditorPart.getEditorInput());
+//		}
+//		catch (PartInitException e) {
+//			// TODO Auto-generated catch block
+//			e.printStackTrace();
+//		}
+		
 	}
 
 	/**
@@ -350,8 +344,10 @@
 		}
 		
 		// Editor part
-		EigenvaluesChartEditor eigenvaluesEditor = new EigenvaluesChartEditor(SWTChartsComponentsProvider.getCurrent().createChartEditorInput(eigenvalues));
-		eigenvaluesEditor.compute(false);
+		//EigenvaluesChartEditor eigenvaluesEditor = new EigenvaluesChartEditor(SWTChartsComponentsProvider.getCurrent().createChartEditorInput(eigenvalues));
+		EigenvaluesChartEditor eigenvaluesEditor = new EigenvaluesChartEditor(new ChartEditorInput<Eigenvalues>(eigenvalues));
+		
+		//eigenvaluesEditor.compute(false);
 		editors.add(eigenvaluesEditor);
 
 		// Editor input
@@ -363,64 +359,9 @@
 	 */
 	public void initCASingularValuesTableEditor()	{
 		// Editor part
-		editors.add(new SingularValuesEditor());
-
-		// Editor input
-		ITablableEditorInput table = new AbstractTablableEditorInput() {
-			@Override
-			public String[] getColumnTitles() {
-				return new String[] {
-						CAUIMessages.CorrespondanceAnalysisEditorInput_4,
-						CAUIMessages.eigenvalue,
-						"%", CAUIMessages.CorrespondanceAnalysisEditorInput_11, "", ""}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-			}
-
-			@Override
-			public String[] getColumnTypes() {
-				return new String[] {
-						TXMUIMessages.integer,
-						COL_TYPE,
-						COL_TYPE,
-						COL_TYPE,
-						COL_TYPE,
-						SEPARATOR};
-			}
-
-			@Override
-			public IStructuredContentProvider getContentProvider() {
-				return new IStructuredContentProvider() {
-					@Override
-					public Object[] getElements(Object inputElement) {
-						CA ca = (CA) inputElement;
-						List<List<Object>> tabledata = ca.getSingularValuesInfos();
-						return tabledata.toArray();
-					}
-
-					@Override
-					public void dispose() {
-						// TODO Auto-generated method stub
-					}
-
-					@Override
-					public void inputChanged(Viewer viewer, Object oldInput,
-							Object newInput) {
-						// TODO Auto-generated method stub
-					}
-				};
-			}
-
-			@Override
-			public Object getInput() {
-				return ca;
-			}
-
-			@Override
-			public LabelProvider getLabelProvider() {
-				return new CASingularValueLabelProvider();
-			}
-		};
-
-		inputs.add(table);
+		SingularValuesEditor editor = new SingularValuesEditor(ca); 
+		editors.add(editor);
+		inputs.add(editor.getEditorInput());
 	}
 
 	/**
@@ -485,8 +426,7 @@
 					}
 
 					@Override
-					public void inputChanged(Viewer viewer, Object oldInput,
-							Object newInput) {
+					public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
 						// TODO Auto-generated method stub
 					}
 				};
@@ -587,58 +527,8 @@
 		inputs.add(table);
 	}
 
-	/**
-	 * The Class CASingularValueLabelProvider.
-	 */
-	private class CASingularValueLabelProvider extends LabelProvider implements	ITableLabelProvider {
 
-		/**
-		 * Percent values number format.
-		 */
-		protected DecimalFormat percentValuesNumberFormat = new DecimalFormat(new String("0.00")); //$NON-NLS-1$
 
-
-		/* (non-Javadoc)
-		 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnImage(java.lang.Object, int)
-		 */
-		@Override
-		public Image getColumnImage(Object element, int columnIndex) {
-			// TODO Auto-generated method stub
-			return null;
-		}
-
-		/* (non-Javadoc)
-		 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnText(java.lang.Object, int)
-		 */
-		@Override
-		@SuppressWarnings("unchecked") //$NON-NLS-1$
-		public String getColumnText(Object element, int columnIndex) {
-			DecimalFormat f;
-			Object o = ((List<Object>) element).get(columnIndex);
-			switch (columnIndex) {
-			case 0: // factor
-				return o.toString();
-			case 1: // eigenvalue
-				if ((Double) o < 1) {
-					if ((Double) o < 0.0001)
-						f = new DecimalFormat("0.0000E00"); //$NON-NLS-1$
-					else
-						f = new DecimalFormat("0.0000"); //$NON-NLS-1$
-				} else {
-					f = new DecimalFormat("##########0.0000"); //$NON-NLS-1$
-				}
-				// FIXME: printf syntax tests
-				//return String.format("%.4f", o);
-				return f.format(o);
-			case 2: // percent
-			case 3: // cumul
-				return percentValuesNumberFormat.format(o);
-			default:
-				return ""; //$NON-NLS-1$
-			}
-		}
-	}
-
 	/**
 	 * Gets the CA.
 	 *
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/SingularValuesEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/SingularValuesEditor.java	(revision 1428)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/SingularValuesEditor.java	(revision 1429)
@@ -27,31 +27,37 @@
 //
 package org.txm.ca.rcp.editors;
 
+import java.text.DecimalFormat;
 import java.util.ArrayList;
 import java.util.List;
 
-import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.jface.action.MenuManager;
+import org.eclipse.jface.viewers.ArrayContentProvider;
+import org.eclipse.jface.viewers.IStructuredContentProvider;
+import org.eclipse.jface.viewers.ITableLabelProvider;
+import org.eclipse.jface.viewers.LabelProvider;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.TableViewerColumn;
+import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionAdapter;
 import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.layout.FillLayout;
-import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Event;
 import org.eclipse.swt.widgets.Listener;
 import org.eclipse.swt.widgets.Menu;
 import org.eclipse.swt.widgets.Table;
 import org.eclipse.swt.widgets.TableItem;
-import org.eclipse.ui.IEditorInput;
-import org.eclipse.ui.IEditorSite;
-import org.eclipse.ui.PartInitException;
-import org.eclipse.ui.part.EditorPart;
+import org.txm.ca.core.functions.CA;
+import org.txm.ca.rcp.messages.CAUIMessages;
+import org.txm.core.results.TXMResult;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.ITablableEditorInput;
+import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TableKeyListener;
 import org.txm.rcp.editors.TableSorter;
+import org.txm.rcp.editors.input.AbstractTablableEditorInput;
 import org.txm.rcp.messages.TXMUIMessages;
 // TODO: Auto-generated Javadoc
 /**
@@ -59,19 +65,18 @@
  *
  * @author mdecorde
  */
-public class SingularValuesEditor extends EditorPart {
+public class SingularValuesEditor extends TXMEditor<CA> {
 
+
+
 	/** The ID. */
 	static public String ID = "org.txm.rcp.editors.TableEditor"; //$NON-NLS-1$
 
 	/** The viewer. */
 	private TableViewer viewer;
 
-	/** The i editor input. */
-	private IEditorInput iEditorInput;
-
 	/** The table input. */
-	private ITablableEditorInput tableInput;
+	//private ITablableEditorInput tableInput;
 
 	/** The columns. */
 	List<TableViewerColumn> columns = new ArrayList<TableViewerColumn>();
@@ -79,73 +84,147 @@
 	/** The table sorter. */
 	private TableSorter tableSorter;
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#doSave(org.eclipse.core.runtime.IProgressMonitor)
-	 */
-	@Override
-	public void doSave(IProgressMonitor monitor) {
-		// TODO Auto-generated method stub
-	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#doSaveAs()
+
+	/**
+	 * 
+	 * @param result
 	 */
-	@Override
-	public void doSaveAs() {
-		// TODO Auto-generated method stub
-	}
+	public SingularValuesEditor(TXMResult result) {
+		super(result);
+		
+//		// Editor input
+//		ITablableEditorInput table = new AbstractTablableEditorInput() {
+//			@Override
+//			public String[] getColumnTitles() {
+//				return new String[] {
+//						CAUIMessages.CorrespondanceAnalysisEditorInput_4,
+//						CAUIMessages.eigenvalue,
+//						"%", CAUIMessages.CorrespondanceAnalysisEditorInput_11, "", ""}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+//			}
+//
+//			@Override
+//			public String[] getColumnTypes() {
+//				return new String[] {
+//						TXMUIMessages.integer,
+//						CAEditor.COL_TYPE,
+//						CAEditor.COL_TYPE,
+//						CAEditor.COL_TYPE,
+//						CAEditor.COL_TYPE,
+//						CAEditor.SEPARATOR};
+//			}
+//
+//			@Override
+//			public IStructuredContentProvider getContentProvider() {
+//				return new IStructuredContentProvider() {
+//					@Override
+//					public Object[] getElements(Object inputElement) {
+//						CA ca = (CA) inputElement;
+//						List<List<Object>> tabledata = ca.getSingularValuesInfos();
+//						return tabledata.toArray();
+//					}
+//
+//					@Override
+//					public void dispose() {
+//						// TODO Auto-generated method stub
+//					}
+//
+//					@Override
+//					public void inputChanged(Viewer viewer, Object oldInput,
+//							Object newInput) {
+//						// TODO Auto-generated method stub
+//					}
+//				};
+//			}
+//
+//			@Override
+//			public Object getInput() {
+//				return SingularValuesEditor.this.getResult();
+//			}
+//
+//			@Override
+//			public LabelProvider getLabelProvider() {
+//				return new CASingularValueLabelProvider();
+//			}
+//		};
+//
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#init(org.eclipse.ui.IEditorSite, org.eclipse.ui.IEditorInput)
-	 */
-	@Override
-	public void init(IEditorSite site, IEditorInput input)
-			throws PartInitException {
-		setSite(site);
-		setInput(input);
-		this.iEditorInput = input;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#isDirty()
+	
+	/**
+	 * The Class CASingularValueLabelProvider.
 	 */
-	@Override
-	public boolean isDirty() {
-		// TODO Auto-generated method stub
-		return false;
-	}
+	private class CASingularValueLabelProvider extends LabelProvider implements	ITableLabelProvider {
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.EditorPart#isSaveAsAllowed()
-	 */
-	@Override
-	public boolean isSaveAsAllowed() {
-		// TODO Auto-generated method stub
-		return false;
+		/**
+		 * Percent values number format.
+		 */
+		protected DecimalFormat percentValuesNumberFormat = new DecimalFormat(new String("0.00")); //$NON-NLS-1$
+
+
+		/* (non-Javadoc)
+		 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnImage(java.lang.Object, int)
+		 */
+		@Override
+		public Image getColumnImage(Object element, int columnIndex) {
+			// TODO Auto-generated method stub
+			return null;
+		}
+
+		/* (non-Javadoc)
+		 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnText(java.lang.Object, int)
+		 */
+		@Override
+		@SuppressWarnings("unchecked") //$NON-NLS-1$
+		public String getColumnText(Object element, int columnIndex) {
+			DecimalFormat f;
+			Object o = ((List<Object>) element).get(columnIndex);
+			switch (columnIndex) {
+			case 0: // factor
+				return o.toString();
+			case 1: // eigenvalue
+				if ((Double) o < 1) {
+					if ((Double) o < 0.0001)
+						f = new DecimalFormat("0.0000E00"); //$NON-NLS-1$
+					else
+						f = new DecimalFormat("0.0000"); //$NON-NLS-1$
+				} else {
+					f = new DecimalFormat("##########0.0000"); //$NON-NLS-1$
+				}
+				// FIXME: printf syntax tests
+				//return String.format("%.4f", o);
+				return f.format(o);
+			case 2: // percent
+			case 3: // cumul
+				return percentValuesNumberFormat.format(o);
+			default:
+				return ""; //$NON-NLS-1$
+			}
+		}
 	}
+	
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
-	 */
 	@Override
-	public void createPartControl(Composite parent) {
-		parent.setLayout(new FillLayout());
+	public void _createPartControl() throws Exception {
+		
+		this.parent.setLayout(new FillLayout());
 
-		if (!(iEditorInput instanceof ITablableEditorInput)) {
-			throw new IllegalArgumentException(TXMUIMessages.wrongInput);
-		}
-		tableInput = (ITablableEditorInput) iEditorInput;
+		//tableInput = (ITablableEditorInput) this.getEditorInput();
 
-		viewer = new TableViewer(parent, SWT.H_SCROLL | SWT.V_SCROLL
-				| SWT.MULTI | SWT.FULL_SELECTION);
+		viewer = new TableViewer(parent, SWT.H_SCROLL | SWT.V_SCROLL | SWT.MULTI | SWT.FULL_SELECTION);
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
 
 		Table table = viewer.getTable();
 		table.setHeaderVisible(true);
 		table.setLinesVisible(true);
 
-		String[] titles = tableInput.getColumnTitles();
+		String[] titles = new String[] {
+				CAUIMessages.CorrespondanceAnalysisEditorInput_4,
+				CAUIMessages.eigenvalue,
+				"%", CAUIMessages.CorrespondanceAnalysisEditorInput_11, "", ""}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$;
 
+		
 		for (int i = 0; i < titles.length; i++) {
 			final int index = i;
 			final TableViewerColumn column;
@@ -166,8 +245,7 @@
 
 			column.getColumn().addSelectionListener(new SelectionAdapter() {
 				@Override
-				public void widgetSelected(SelectionEvent e)
-				{
+				public void widgetSelected(SelectionEvent e) {
 					StatusLine.setMessage(TXMUIMessages.sortingColumn);
 					tableSorter.setColumn(index);
 					int dir = viewer.getTable().getSortDirection();
@@ -213,13 +291,52 @@
 		    });
 
 
+		
+		
 
-		viewer.setContentProvider(tableInput.getContentProvider());
-		viewer.setLabelProvider(tableInput.getLabelProvider());
-		viewer.setInput(tableInput.getInput());
+		//viewer.setContentProvider(tableInput.getContentProvider());
+		
+		
+		viewer.setContentProvider(ArrayContentProvider.getInstance());
+//		viewer.setContentProvider(new IStructuredContentProvider() {
+//			@Override
+//			public Object[] getElements(Object inputElement) {
+//				return ((CA) inputElement).getSingularValuesInfos().toArray();
+//			}
+//
+//			@Override
+//			public void dispose() {
+//				// TODO Auto-generated method stub
+//			}
+//
+//			@Override
+//			public void inputChanged(Viewer viewer, Object oldInput,
+//					Object newInput) {
+//				// TODO Auto-generated method stub
+//			}
+//		}
+//);
+		
+		
+		viewer.setLabelProvider(new CASingularValueLabelProvider());
+		
+		
+		
 
 		tableSorter = new TableSorter();
-		tableSorter.setColumnTypes(tableInput.getColumnTypes());
+		
+		//tableSorter.setColumnTypes(tableInput.getColumnTypes());
+		
+		
+		tableSorter.setColumnTypes(new String[] {
+				TXMUIMessages.integer,
+				CAEditor.COL_TYPE,
+				CAEditor.COL_TYPE,
+				CAEditor.COL_TYPE,
+				CAEditor.COL_TYPE,
+				CAEditor.SEPARATOR});
+		
+		
 		viewer.setSorter(tableSorter);
 
 		viewer.refresh();
@@ -234,6 +351,8 @@
 		}
 		viewer.getTable().setSortDirection(dir);
 		viewer.getTable().setSortColumn(columns.get(0).getColumn());
+
+		
 		viewer.refresh();
 
 		// Pack the columns except the bar plot column
@@ -242,8 +361,36 @@
 				viewer.getTable().getColumn(i).pack();
 			}
 		}
+		
 	}
 
+
+	@Override
+	public void setFocus() {
+		viewer.getControl().setFocus();
+	}
+
+
+	@Override
+	public void updateResultFromEditor() {
+		// TODO Auto-generated method stub
+		
+	}
+
+	@Override
+	public void updateEditorFromResult(boolean update) throws Exception {
+
+		try {
+			this.viewer.setInput(((CA)this.getResult()).getSingularValuesInfos().toArray());
+		}
+		catch (Exception e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+			this.viewer.setInput(null);
+		}
+	}
+	
+	
 	/**
 	 * Creates the context menu.
 	 *
@@ -261,11 +408,4 @@
 		getSite().setSelectionProvider(tableViewer);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.ui.part.WorkbenchPart#setFocus()
-	 */
-	@Override
-	public void setFocus() {
-		viewer.getControl().setFocus();
-	}
 }
\ No newline at end of file
